# PMessageDigest5 Class Reference

MD5 Message Digest. More...

`#include <cypher.h>`

Inheritance diagram for PMessageDigest5:

List of all members.

## Public Member Functions

| PMessageDigest5 ()
| Create a new message digestor.
void | Start ()
| Begin a Message Digest operation, initialising the object instance.
virtual void | Complete (Code &result)
virtual PString | Complete ()

## Static Public Member Functions

static PString | Encode (const PString &str)
| Encode the data in memory to and MD5 hash value.
static void | Encode (const PString &str, Result &result)
| Encode the data in memory to and MD5 hash value.
static PString | Encode (const char *cstr)
| Encode the data in memory to and MD5 hash value.
static void | Encode (const char *cstr, Result &result)
| Encode the data in memory to and MD5 hash value.
static PString | Encode (const PBYTEArray &data)
| Encode the data in memory to and MD5 hash value.
static void | Encode (const PBYTEArray &data, Result &result)
| Encode the data in memory to and MD5 hash value.
static PString | Encode (const void *dataBlock, PINDEX length)
| Encode the data in memory to and MD5 hash value.
static void | Encode (const void *dataBlock, PINDEX length, Result &result)
| Encode the data in memory to and MD5 hash value.
static void | Encode (const PString &str, Code &result)
| Encode the data in memory to and MD5 hash value.
static void | Encode (const char *cstr, Code &result)
| Encode the data in memory to and MD5 hash value.
static void | Encode (const PBYTEArray &data, Code &result)
| Encode the data in memory to and MD5 hash value.
static void | Encode (const void *dataBlock, PINDEX length, Code &result)
| Encode the data in memory to and MD5 hash value.

## Protected Member Functions

virtual void | InternalProcess (const void *dataBlock, PINDEX length)
virtual void | InternalCompleteDigest (Result &result)

## Classes

class | Code

## Detailed Description

MD5 Message Digest.

A class to produce a Message Digest for a block of text/data using the MD5 algorithm as defined in RFC1321 by Ronald Rivest of MIT Laboratory for Computer Science and RSA Data Security, Inc.

## Constructor & Destructor Documentation

PMessageDigest5::PMessageDigest5 | ( |  | ) |

Create a new message digestor.

## Member Function Documentation

virtual PString PMessageDigest5::Complete | ( |  | ) | `[virtual]`

virtual void PMessageDigest5::Complete | ( | Code & | result | ) | `[virtual]`

Parameters:

  result | The resultant 128 bit MD5 code

static void PMessageDigest5::Encode | ( | const void * | dataBlock,
|  | PINDEX | length,
|  | Code & | result |
| ) |  |  | `[static]`

Encode the data in memory to and MD5 hash value.

Returns:
  Base64 encoded MD5 code for the processed data.

Parameters:

  dataBlock | Pointer to data to be encoded to MD5
  length | Length of the data block.
  result | The resultant 128 bit MD5 code

static void PMessageDigest5::Encode | ( | const PBYTEArray & | data,
|  | Code & | result |
| ) |  |  | `[static]`

Encode the data in memory to and MD5 hash value.

Parameters:

  data | Data block to be encoded to MD5
  result | The resultant 128 bit MD5 code

static void PMessageDigest5::Encode | ( | const char * | cstr,
|  | Code & | result |
| ) |  |  | `[static]`

Encode the data in memory to and MD5 hash value.

Parameters:

  cstr | C String to be encoded to MD5
  result | The resultant 128 bit MD5 code

static void PMessageDigest5::Encode | ( | const PString & | str,
|  | Code & | result |
| ) |  |  | `[static]`

Encode the data in memory to and MD5 hash value.

Parameters:

  str | String to be encoded to MD5
  result | The resultant 128 bit MD5 code

static void PMessageDigest5::Encode | ( | const void * | dataBlock,
|  | PINDEX | length,
|  | Result & | result |
| ) |  |  | `[static]`

Encode the data in memory to and MD5 hash value.

Returns:
  Base64 encoded MD5 code for the processed data.

Parameters:

  dataBlock | Pointer to data to be encoded to MD5
  length | Length of the data block.
  result | The resultant 128 bit MD5 code

static PString PMessageDigest5::Encode | ( | const void * | dataBlock,
|  | PINDEX | length |
| ) |  |  | `[static]`

Encode the data in memory to and MD5 hash value.

Parameters:

  dataBlock | Pointer to data to be encoded to MD5
  length | Length of the data block.

static void PMessageDigest5::Encode | ( | const PBYTEArray & | data,
|  | Result & | result |
| ) |  |  | `[static]`

Encode the data in memory to and MD5 hash value.

Parameters:

  data | Data block to be encoded to MD5
  result | The resultant 128 bit MD5 code

static PString PMessageDigest5::Encode | ( | const PBYTEArray & | data | ) | `[static]`

Encode the data in memory to and MD5 hash value.

Parameters:

  data | Data block to be encoded to MD5

static void PMessageDigest5::Encode | ( | const char * | cstr,
|  | Result & | result |
| ) |  |  | `[static]`

Encode the data in memory to and MD5 hash value.

Parameters:

  cstr | C String to be encoded to MD5
  result | The resultant 128 bit MD5 code

static PString PMessageDigest5::Encode | ( | const char * | cstr | ) | `[static]`

Encode the data in memory to and MD5 hash value.

Parameters:

  cstr | C String to be encoded to MD5

static void PMessageDigest5::Encode | ( | const PString & | str,
|  | Result & | result |
| ) |  |  | `[static]`

Encode the data in memory to and MD5 hash value.

Parameters:

  str | String to be encoded to MD5
  result | The resultant 128 bit MD5 code

static PString PMessageDigest5::Encode | ( | const PString & | str | ) | `[static]`

Encode the data in memory to and MD5 hash value.

Parameters:

  str | String to be encoded to MD5

virtual void PMessageDigest5::InternalCompleteDigest | ( | Result & | result | ) | `[protected, virtual]`

Parameters:

  result | The resultant 128 bit MD5 code

virtual void PMessageDigest5::InternalProcess | ( | const void * | dataBlock,
|  | PINDEX | length |
| ) |  |  | `[protected, virtual]`

Parameters:

  dataBlock | Pointer to data to be part of the MD5
  length | Length of the data block.

Implements PMessageDigest.

void PMessageDigest5::Start | ( |  | ) | `[virtual]`

Begin a Message Digest operation, initialising the object instance.

Implements PMessageDigest.

The documentation for this class was generated from the following file:

- cypher.h